### Constructor

# Tsparql SparqlConnection bus_new_finish

since: 3.1

#### Declaration [src]

    TrackerSparqlConnection*
    tracker_sparql_connection_bus_new_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the operation started with `tracker_sparql_connection_bus_new_async()`.

Available since: 3.1

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult` with the result of the operation.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlConnection`

A new `TrackerSparqlConnection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.